ClarisWksDocumentInternal::State Struct Reference documentation

ClarisWksDocumentInternal::State Struct Reference

Internal: the state of a ClarisWksDocument. More...

## Public Member Functions
| State ()
| constructor
ClarisWksStruct::DSET::Position | getZoneType (int id) const
| returns a zone's type

## Public Attributes
bool | m_pageSpanSet
| a flag to know if pageSpan is filled
int | m_numPages
| the number of pages (computed)
MWAWVec2i | m_pages
| the number of pages find in the header ( if known )
bool | m_pagesVerified
| true if the number pages of pages has been verified
librevenge::RVNGPropertyList | m_metaData
| the metadata
int | m_headerId
| the header zone if known
int | m_footerId
| the footer zone if known
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known
int | m_columns
| the number of columns
std::vector< int > | m_columnsWidth
| the columns witdh in Points
std::vector< int > | m_columnsSep
| the columns separator in Points
std::map< int, std::shared_ptr< ClarisWksStruct::DSET > > | m_zonesMap
| the map of zone
std::map< int, ClarisWksStruct::DSET::Position > | m_zonesTypeMap
| the type of each zone
std::vector< int > | m_rootZonesList
| the list of root zones
std::vector< int > | m_hFZonesList
| the list of header/footer group
std::set< MWAWVec2i > | m_zonesSentSet
| a stack of send zone (id,anchor) used to avoid unsolved potential loop
std::map< int, int > | m_linkIdToDabasePictIdMap
| a map pict id to database pict id

## Detailed Description

Internal: the state of a ClarisWksDocument.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksDocumentInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getZoneType()

ClarisWksStruct::DSET::Position ClarisWksDocumentInternal::State::getZoneType | ( | int | id | ) | const
| inline

returns a zone's type

## Member Data Documentation

## ◆ m_columns

int ClarisWksDocumentInternal::State::m_columns

the number of columns

Referenced by State().

## ◆ m_columnsSep

std::vector<int> ClarisWksDocumentInternal::State::m_columnsSep

the columns separator in Points

Referenced by State().

## ◆ m_columnsWidth

std::vector<int> ClarisWksDocumentInternal::State::m_columnsWidth

the columns witdh in Points

Referenced by State().

## ◆ m_footerHeight

int ClarisWksDocumentInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_footerId

int ClarisWksDocumentInternal::State::m_footerId

the footer zone if known

Referenced by State().

## ◆ m_headerHeight

int ClarisWksDocumentInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_headerId

int ClarisWksDocumentInternal::State::m_headerId

the header zone if known

Referenced by State().

## ◆ m_hFZonesList

std::vector<int> ClarisWksDocumentInternal::State::m_hFZonesList

the list of header/footer group

Referenced by State().

## ◆ m_linkIdToDabasePictIdMap

std::map<int,int> ClarisWksDocumentInternal::State::m_linkIdToDabasePictIdMap

a map pict id to database pict id

Referenced by State().

## ◆ m_metaData

librevenge::RVNGPropertyList ClarisWksDocumentInternal::State::m_metaData

the metadata

Referenced by State().

## ◆ m_numPages

int ClarisWksDocumentInternal::State::m_numPages

the number of pages (computed)

Referenced by State().

## ◆ m_pages

MWAWVec2i ClarisWksDocumentInternal::State::m_pages

the number of pages find in the header ( if known )

Referenced by State().

## ◆ m_pageSpanSet

bool ClarisWksDocumentInternal::State::m_pageSpanSet

a flag to know if pageSpan is filled

Referenced by State().

## ◆ m_pagesVerified

bool ClarisWksDocumentInternal::State::m_pagesVerified

true if the number pages of pages has been verified

Referenced by State().

## ◆ m_rootZonesList

std::vector<int> ClarisWksDocumentInternal::State::m_rootZonesList

the list of root zones

Referenced by State().

## ◆ m_zonesMap

std::map<int, std::shared_ptr<ClarisWksStruct::DSET> > ClarisWksDocumentInternal::State::m_zonesMap

the map of zone

Referenced by State().

## ◆ m_zonesSentSet

std::set<MWAWVec2i> ClarisWksDocumentInternal::State::m_zonesSentSet

a stack of send zone (id,anchor) used to avoid unsolved potential loop

Referenced by State().

## ◆ m_zonesTypeMap

std::map<int, ClarisWksStruct::DSET::Position> ClarisWksDocumentInternal::State::m_zonesTypeMap

the type of each zone

Referenced by getZoneType(), and State().

The documentation for this struct was generated from the following file:

- ClarisWksDocument.cxx